Bug 429621 - Encoding issues (not ISO-8859-1)
Encoding issues (not ISO-8859-1)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eggdrop (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-21 18:18 EST by Johan Cwiklinski
Modified: 2008-02-13 00:14 EST (History)
0 users

See Also:
Fixed In Version: 1.6.18-14.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 00:10:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johan Cwiklinski 2008-01-21 18:18:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; fr-FR; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
There are some issues using eggdrop with non-latin characters, and UTF-8.

Version-Release number of selected component (if applicable):
eggdrop-1.6.18-12

How reproducible:
Always


Steps to Reproduce:
1. Install eggdrop
2. Connect to an utf8 channel
3. Send '.say #chan éèàô', irc clients which are not configured to read iso-8859-1 will see '????'

Actual Results:
Wrong encoding.

Expected Results:
Correct encoding :-)

Additional info:
I've find a patch and try to include it in the specfile.
Complete patch should be found here : http://www.egghelp.org/files.htm#patches (eggdrop1.6.18-sp.0007.diff)

New specfile, diff and patch are available at :
http://odysseus.x-tnd.be/fedora/eggdrop/

Hope that can help :)
Comment 1 Robert Scheck 2008-01-22 13:43:38 EST
Well, does this patch work without breaking *anything* else? And the even more 
interesting question is: Why was this patch not accepted by upstream? I'm less 
interested to add "features" which upstream does not accept...
Comment 2 Johan Cwiklinski 2008-01-22 17:08:23 EST
It does not seem to break anything, though it should be tested anyway.

Why was the patch not included upstream ? I have no idea ; i don't even know if
it was proposed upstream...

I'm not considering missing character encoding as a feature, but as a bug ; I
need UTF support (for french chars) and I've found this patch that's all :-)
Comment 3 Fedora Update System 2008-02-10 17:49:54 EST
eggdrop-1.6.18-14.fc7 has been submitted as an update for Fedora 7
Comment 4 Fedora Update System 2008-02-10 17:49:55 EST
eggdrop-1.6.18-14.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-02-13 00:10:39 EST
eggdrop-1.6.18-14.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-02-13 00:14:43 EST
eggdrop-1.6.18-14.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.